Bug 303871

Summary: iwl3945 stopped working. firmware problem?
Product: [Fedora] Fedora Reporter: Zack Cerza <zcerza>
Component: kernelAssignee: John W. Linville <linville>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: rawhideCC: drago01, linville, tjb
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-10-16 14:28:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235703    

Description Zack Cerza 2007-09-24 15:32:05 EDT
Description of problem:
I updated my rawhide installation on my Thinkpad Z61t today, and iwl3945 seems
to have broken. I'm including portions of /var/log/messages from booting, and
three 'iwlist scan's following that.

# Boot, no scans performed
Sep 24 15:08:50 megadoomer kernel: iwl3945: Intel(R) PRO/Wireless 3945ABG/BG
Network Connection driver for Linux, 0.1.15kds
Sep 24 15:08:50 megadoomer kernel: iwl3945: Copyright(c) 2003-2007 Intel Corporation
Sep 24 15:08:50 megadoomer kernel: iwl3945: Detected Intel PRO/Wireless 3945ABG
Network Connection
Sep 24 15:08:50 megadoomer kernel: iwl3945: Tunable channels: 11 802.11bg, 13
802.11a channels
Sep 24 15:09:05 megadoomer NetworkManager: <info>  wlan0: Device is
fully-supported using driver 'iwl3945'.

# First scan - no results
Sep 24 15:13:24 megadoomer kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Sep 24 15:13:24 megadoomer kernel: iwl3945: Error Reply type 0x00000000 cmd
REPLY_SCAN_CMD (0x80) seq 0x4438 ser 0x00000000
Sep 24 15:13:25 megadoomer kernel: iwl3945: Can't stop Rx DMA.
Sep 24 15:13:25 megadoomer kernel: iwl3945: No space for Tx
Sep 24 15:13:25 megadoomer kernel: iwl3945: Error sending REPLY_ADD_STA:
iwl_enqueue_hcmd failed: -28
Sep 24 15:13:25 megadoomer kernel: iwl3945: No space for Tx
Sep 24 15:13:25 megadoomer kernel: iwl3945: Error sending
REPLY_TX_PWR_TABLE_CMD: iwl_enqueue_hcmd failed: -28

# Second scan - 4 results (there are 17 APs within range)
Sep 24 15:14:41 megadoomer kernel: iwl3945: REPLY_ADD_STA failed

# Third scan - Failed to read scan data : Resource temporarily unavailable
Sep 24 15:15:18 megadoomer kernel: iwl3945: Microcode SW error detected. 
Restarting 0x82000008.
Sep 24 15:15:18 megadoomer kernel: iwl3945: Error Reply type 0x00000000 cmd
REPLY_SCAN_CMD (0x80) seq 0x4424 ser 0x00000000
Sep 24 15:15:19 megadoomer kernel: iwl3945: Can't stop Rx DMA.


rmmod iwl3945; modprobe iwl3945 does not seem to help.

Version-Release number of selected component (if applicable):
iwl3945-firmware-2.14.1.5-2
kernel-2.6.23-0.189.rc6.git8.fc8
Comment 1 drago01 2007-09-26 12:44:19 EDT
this is not a firmware bug but a bug in the iwlwifi driver.
there is a upstream fix :
http://intellinuxwireless.org/repos/?p=iwlwifi.git;a=commit;h=7cf42e587d3a381d2655e1eb1cbee9603f337173
John can you add this patch to the kernel rpm? it should hit upstream
wireless-dev soon.
Comment 2 John W. Linville 2007-09-26 12:55:54 EDT
Best would be if you could presuade Intel to post it upstream...
Comment 3 drago01 2007-09-26 13:03:22 EDT
sent a mail to ipw3945-devel about it...
Comment 4 John W. Linville 2007-09-28 10:01:02 EDT
kernel-2.6.23-0.212.rc8.git2.fc8 has a sizeable iwlwifi update.  Can you 
replicate the issue with that kernel?
Comment 5 Zack Cerza 2007-09-28 15:39:08 EDT
Looks to be fixed in kernel-2.6.23-0.212.rc8.git2.fc8. Thanks!
Comment 6 Zack Cerza 2007-10-01 14:59:31 EDT
OK, still on the same kernel and seeing this with iwlist wlan0 scan:

"wlan0    Failed to read scan data : Resource temporarily unavailable"

I haven't seen anything interesting in /var/log/messages this time, though.
Comment 7 John W. Linville 2007-10-01 15:45:08 EDT
Is that a temporary condition?  Or is the device forever useless afterwards?
Comment 8 Zack Cerza 2007-10-01 16:02:15 EDT
Rebooting seemed to give me some luck.
Comment 9 John W. Linville 2007-10-16 13:51:38 EDT
Is this still a problem with current rawhide of fc8 kernels?
Comment 10 Zack Cerza 2007-10-16 14:28:17 EDT
I've done a fair amount of testing, and haven't had any problems. Closing.